<div class="content">
  <div class="title">
    <i class="icon-briefcase"></i>
    Recent Transaction
  </div>

  <div id="filter" class="pad15">
    <input
      type="text"
      (keyup)="search()"
      [(ngModel)]="keyword"
      placeholder="Search by typing..."
    />
    <div id="sort">
      <label>Sort by</label>
      <button (click)="sortDate()">
        date
        <i class="icon-date-{{ directions.date }}"></i>
      </button>
      <button (click)="sortBeneficiary()">
        beneficiary
        <i class="icon-beneficiary-{{ directions.beneficiary }}"></i>
      </button>
      <button (click)="sortAmount()">
        amount
        <i class="icon-amount-{{ directions.amount }}"></i>
      </button>
    </div>
  </div>

  <div id="list">
    <a
      *ngFor="let item of transactions"
      class="{{ item.status }}"
      [routerLink]="['details', item._id]"
    >
      <span class="date">{{ item.date | date: "MMM d" }}</span>
      <span class="img-box">
        <img src="" alt="" />
      </span>
      <span>
        <strong class="name">{{ item.to }}</strong>
        <div class="method">Card payment</div>
      </span>
      <strong class="amount">-${{ item.amount }}</strong>
    </a>
  </div>
</div>
